# Enum Class FieldIterator.IteratorType

java.lang.Object
java.lang.Enum<FieldIterator.IteratorType>
org.snpsift.lang.expression.FieldIterator.IteratorType

All Implemented Interfaces:
  `Serializable, Comparable<FieldIterator.IteratorType>, Constable`

Enclosing class:
  `FieldIterator`

public static enum FieldIterator.IteratorType extends Enum<FieldIterator.IteratorType>

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EFFECT`
`GENOTYPE`
`GENOTYPE_VAR`
`LOF`
`NMD`
`VAR`

## Method Summary

Modifier and Type
Method
Description
`static FieldIterator.IteratorType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldIterator.IteratorType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VAR

public static final FieldIterator.IteratorType VAR

### EFFECT

public static final FieldIterator.IteratorType EFFECT

### GENOTYPE

public static final FieldIterator.IteratorType GENOTYPE

### GENOTYPE_VAR

public static final FieldIterator.IteratorType GENOTYPE_VAR

### LOF

public static final FieldIterator.IteratorType LOF

### NMD

public static final FieldIterator.IteratorType NMD

## Method Details

### values

public static FieldIterator.IteratorType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FieldIterator.IteratorType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null